summaryrefslogtreecommitdiff
path: root/debian/prerm
diff options
context:
space:
mode:
authorSimon Kelley <simon@thekelleys.org.uk>2012-01-05 21:33:27 +0000
committerSimon Kelley <simon@thekelleys.org.uk>2012-01-05 21:33:27 +0000
commitc72daea86807d391ae800be7846e86708588def6 (patch)
tree0ddaeffd42140667e1b7917f10f96e37d47da1a9 /debian/prerm
parent74c95c25425154af858de72773eb643fd5712e72 (diff)
downloaddnsmasq-c72daea86807d391ae800be7846e86708588def6.tar.gz
Accumulated 2.60 changes going into git
Diffstat (limited to 'debian/prerm')
-rw-r--r--debian/prerm14
1 files changed, 14 insertions, 0 deletions
diff --git a/debian/prerm b/debian/prerm
new file mode 100644
index 0000000..f809b68
--- /dev/null
+++ b/debian/prerm
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -e
+
+if [ "$1" = "remove" ]; then
+ if [ -x /usr/sbin/invoke-rc.d ] ; then
+ invoke-rc.d dnsmasq stop || true
+ else
+ /etc/init.d/dnsmasq stop || true
+ fi
+fi
+
+exit 0
+
+